You can create a new internal article by making a POST request to https://api.intercom.io/internal_articles.
Requires the read_write_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The content of the article in HTML. Mutually exclusive with body_markdown.
The content of the article in markdown. An alternative to body — you can provide content as markdown instead of HTML. Mutually exclusive with body and json_blocks.
The content of the article as a list of content blocks. Used only when body is not provided. Cannot be combined with body_markdown.
The ID of the folder to place this article in. Pass null to leave it without a folder.
The list of audience IDs to target this internal article to for Fin AI Agent. Pass an empty array or omit the field for no audience targeting. Unknown audience IDs return a 404 error with no partial commit.
[ 1, 2 ]
Whether the internal article should be available for AI Chatbot (Fin). Defaults to false.
Whether the internal article should be available for AI Copilot. Defaults to false.
- The production API serverhttps://api.intercom.io/internal_articles
- The european API serverhttps://api.eu.intercom.io/internal_articles
- The australian API serverhttps://api.au.intercom.io/internal_articles
- internal article created
- Missing required parameters
curl -i -X POST \
https://api.intercom.io/internal_articles \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"title": "Thanks for everything",
"body": "Body of the Article",
"owner_id": 991266252,
"author_id": 991266252,
"locale": "en"
}'internal article created
The body of the article in markdown.
The ID of the folder this article belongs to, or null if not in a folder.
The list of audience IDs this internal article is targeted to for Fin AI Agent. Empty array means no audience targeting is set.
[ 1, 2 ]
Whether the internal article is available for AI Chatbot (Fin).
{ "id": 42, "title": "Thanks for everything", "body": "Body of the Article", "owner_id": 991266252, "author_id": 991266252, "locale": "en" }